## org.apache.mahout.math.hadoop.stochasticsvd
Class YtYJob

    java.lang.Object
      org.apache.mahout.math.hadoop.stochasticsvd.YtYJob

    public final class YtYJob

extends Object

Job that accumulates Y'Y output

Nested Class Summary
`static class` `YtYJob.YtYMapper`
`static class` `YtYJob.YtYReducer`

Field Summary
`static String` `OUTPUT_YT_Y`
`static String` `PROP_K`
`static String` `PROP_OMEGA_SEED`
`static String` `PROP_P`

Method Summary
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path[] inputPaths, org.apache.hadoop.fs.Path outputPath, int k, int p, long seed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_OMEGA_SEED

    public static final String PROP_OMEGA_SEED

See Also:
  Constant Field Values

### PROP_K

    public static final String PROP_K

See Also:
  Constant Field Values

### PROP_P

    public static final String PROP_P

See Also:
  Constant Field Values

### OUTPUT_YT_Y

    public static final String OUTPUT_YT_Y

See Also:
  Constant Field Values

Method Detail

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path[] inputPaths,
                           org.apache.hadoop.fs.Path outputPath,
                           int k,
                           int p,
                           long seed)
                    throws ClassNotFoundException,
                           InterruptedException,
                           IOException

  Throws:
    `ClassNotFoundException`
    `InterruptedException`
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.